coap_pki_key_pem_t Struct Reference
DTLS Support

The structure that holds the PKI PEM definitions. More...

`#include <coap_dtls.h>`

## Data Fields

const char * | ca_file
| File location of Common CA in PEM format. More...
const char * | public_cert
| File location of Public Cert in PEM format. More...
const char * | private_key
| File location of Private Key in PEM format. More...

## Detailed Description

The structure that holds the PKI PEM definitions.

Definition at line 141 of file coap_dtls.h.

## Field Documentation

## ca_file

const char* coap_pki_key_pem_t::ca_file

File location of Common CA in PEM format.

Definition at line 142 of file coap_dtls.h.

## private_key

const char* coap_pki_key_pem_t::private_key

File location of Private Key in PEM format.

Definition at line 144 of file coap_dtls.h.

## public_cert

const char* coap_pki_key_pem_t::public_cert

File location of Public Cert in PEM format.

Definition at line 143 of file coap_dtls.h.

The documentation for this struct was generated from the following file:

- coap_dtls.h